require "Insurgent/Traits/LoadoutMarksmanTrait"

LoadoutMarksmanTrait.description  = getText("UI_trait_LoadoutMarksmanDesc_FIREARMSB41_VERSION")

function LoadoutMarksmanTrait.OnNewGame(player)
    if not player:HasTrait("LoadoutMarksman") then
        return
    end

    local weapon = InsurgentWeaponUtil.addWeapon(player, "Base.M24Rifle", {"Base.x4-x12Scope", "Base.Sling", "Base.RecoilPad", "Base.Laser"})
    InsurgentWeaponUtil.addMags(player, "Base.762x51Bullets", 10)
end
